# Item (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.tests.xml
Class Item

    java.lang.Object
      org.newdawn.slick.tests.xml.Item

Direct Known Subclasses:
  ItemContainer

    public class Item

extends java.lang.Object

A test example of some object data that can be configured via XML

Author:
  kevin

Field Summary
`protected int` `condition` The condition value injected by the XML parser
`protected java.lang.String` `name` The name injected by the XML parser

Constructor Summary
`Item()`

Method Summary
`void` `dump(java.lang.String prefix)` Dump this object to sysout

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The name injected by the XML parser

### condition

    protected int condition

  The condition value injected by the XML parser

Constructor Detail

### Item

    public Item()

Method Detail

### dump

    public void dump(java.lang.String prefix)

  Dump this object to sysout

  Parameters:
    `prefix` - The prefix to apply to all lines

Copyright © 2006 New Dawn Software. All Rights Reserved.